import Project from "../Project/Project.js";
import printErrorOrDebug from "./PrintErrorOrDebug.js";
import { getGlobalProjects } from "./Projects.js";

const addProject = (f:{():Project}) =>{
    const project = f()
    if(getGlobalProjects()[project.name]){
        printErrorOrDebug(`the project name "${project.name}" was used please rename it`)
    }
    getGlobalProjects()[project.name] = project
}

export default addProject