import { exec, execSync } from "child_process"
import printDebug from "./DebugPrint.js";

const tryGetCompilerVersion =(path:string,command:string):string=>{
    const exec_command = `${path} ${command}`
    printDebug(exec_command)
    let ret:string = ""
    try{
        ret = execSync(exec_command).toString().trim()
    }catch(e){
        throw Error("cannot get compiler version!")
    }
    return ret
}

export default tryGetCompilerVersion